#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Socket6
%define		pnam	Socket6
Summary:	Socket6 Perl module - IPv6-related part of the C socket.h defines and structure manipulators
Summary(pl.UTF-8):	Moduł Perla Socket6 - definicje i operacje na strukturach socket.h związanych z IPv6
Name:		perl-Socket6
Version:	0.29
Release:	3
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Socket6/%{pnam}-%{version}.tar.gz
# Source0-md5:	dab4b2dcc76f81b8bedea72d8fd1bc28
URL:		https://metacpan.org/release/Socket6
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Socket6 module provides glue routines to the various IPv6
functions.

%description -l pl.UTF-8
Moduł Socket6 udostępnia perlowy interfejs do różnych funkcji IPv6.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}
pod2man --section=3pm Socket6.pm >Socket6.3pm

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}/man3

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install Socket6.3pm $RPM_BUILD_ROOT%{_mandir}/man3

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_vendorarch}/Socket6.pm
%dir %{perl_vendorarch}/auto/Socket6
%attr(755,root,root) %{perl_vendorarch}/auto/Socket6/Socket6.so
%{_mandir}/man3/Socket6.3pm*
%changelog
* Fri May 07 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Socket6.git;a=log;h=master

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> ee048a7
- rebuild with perl 5.32

* Sun Aug 30 2020 Jakub Bogusz <qboosh@pld-linux.org> 49378bc
- updated URL and macros version

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2dde220
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 228011c
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 0455081
- up to 0.29

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 705f173
- release 2

* Wed Jan 24 2018 Marcin Krol <hawk@tld-linux.org> d6a2cbc
- updated to 0.28

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b3f722a
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 557934e
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 5881b6c
- Missed a file

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 550bd3e
- Up to 0.26

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8baedac
- rebuild with perl 5.24.0
- release 11 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 838edeb
- release 10 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9578c64
- x32 rebuild
- release 9 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 8ad3140
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3edacef
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 596a2a0
- rebuild for perl 5.20
- release 7 (by relup.sh)

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> c02fb4a
- real summaries

* Thu Jun 13 2013 Jan Rękorajski <baggins@pld-linux.org> 5b5003c
- fix pod syntax error
- rel 6

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 8585433
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

